LIGHT(4) | Kernel Interfaces Manual (SGIMIPS) | LIGHT(4)

# NAME

light — SGI Light/Entry/Starter (LG1/LG2) graphics controller

# SYNOPSIS

light* at gio? slot ?
wsdisplay* at light? console ?

# DESCRIPTION

The light driver supports the SGI Light series of graphics controllers, also known as Entry or Starter graphics and designated LG1 or LG2. These controllers have a fixed 1024x768 resolution with 8-bit colour depth. Unlike most SGI offerings, both 13w3 and VGA video cables are supported. light is found in Indigo and Crimson machines.

# SEE ALSO

gio(4), grtwo(4), newport(4), wscons(4)

# HISTORY

The light driver first appeared in NetBSD 5.0.

# AUTHORS

Stephen M. Rumble wrote this driver.

# BUGS

Much is unknown about the REX chipset. Therefore, the driver relies on the PROM to properly initialise the graphics.

This driver will not run without modification on Crimson machines.

December 25, 2006 | NetBSD 6.0